constant
defined
Misc. 함수 목록
PHP Manual

# define

(PHP 4, PHP 5)

define — Defines a named constant

### 설명

bool define ( string `$name` , mixed `$value` [, bool `$case_insensitive`= false ] )

Defines a named constant at runtime.

### 인수

`name`

  The name of the constant.

`value`

  The value of the constant; only scalar and null values are allowed. Scalar values are integer, float, string or boolean values. It is possible to define resource constants, however it is not recommended and may cause unpredictable behavior.

`case_insensitive`

  If set to `TRUE`, the constant will be defined case-insensitive. The default behavior is case-sensitive; i.e. CONSTANT and Constant represent different values.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다.

### 예제

Example #1 Defining Constants

`<?php
define("CONSTANT", "Hello world.");
echo CONSTANT; // outputs "Hello world."
echo Constant; // outputs "Constant" and issues a notice.
define("GREETING", "Hello you.", true);
echo GREETING; // outputs "Hello you."
echo Greeting; // outputs "Hello you."
?>`

### 참고

- defined() - Checks whether a given named constant exists
- constant() - Returns the value of a constant
- The section on Constants

constant
defined
Misc. 함수 목록
PHP Manual